Skip to content
New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

Bump autoprefixer from 9.6.1 to 9.7.3 #12519

Merged
merged 1 commit into from Dec 2, 2019

Conversation

@dependabot-preview
Copy link
Contributor

dependabot-preview bot commented Dec 2, 2019

Bumps autoprefixer from 9.6.1 to 9.7.3.

Release notes

Sourced from autoprefixer's releases.

9.7.3

  • Fix compatibility with PostCSS Modules.

9.7.2

  • Add -ms-user-select: element support.
  • Add funding link for npm fund.

9.7.1

  • Avoid unnecessary transitions in prefixed selectors (by @​fanich37).
  • Fix fit-content for Firefox.

9.7 “Ad Victoriam”

Brotherhood of Steel coat of arms

Autoprefixer 9.7 brings AUTOPREFIXER_GRID environment variable and huge performance improvments.

Grid Environment Variable

Autoprefixer can add CSS Grid polyfills for IE. You need to manually enable it to prove that you understand the limits of polyfill.

In previous versions you can enable Grid polyfill by grid: 'autoplace' option or by /* autoprefixer grid: autoplace */ control comment. But in some cases, developers were not able to use both methods. For instance, during work with Material UI’ CSS-in-JS in Create React App.

Now Autoprefixer supports environment variable to enable CSS Grid polyfill:

AUTOPREFIXER_GRID=autoplace npm build

Performance Improvements

@​Knagis found that Browserslist takes 70% of the Autoprefixer time.

Autoprefixer 9.6.5 profiling

We did a lot of improvements in Browserslist and now Autoprefixer should work much faster.

67417985-a283e180-f5d2-11e9-879a-e364c9acccf1

Other

9.6.5

9.6.4

  • Now the real fix for 'startsWith' of undefined error.

9.6.3

  • Fix Cannot read property 'startsWith' of undefined error.
... (truncated)
Changelog

Sourced from autoprefixer's changelog.

9.7.3

  • Fix compatibility with PostCSS Modules.

9.7.2

  • Add -ms-user-select: element support.
  • Add funding link for npm fund.

9.7.1

  • Avoid unnecessary transitions in prefixed selectors (by Andrey Alexandrov).
  • Fix fit-content for Firefox.

9.7 “Ad Victoriam”

  • Add AUTOPREFIXER_GRID env variable to enable Grid Layout polyfill for IE.
  • Fix Cannot read property 'grid' of undefined error.

9.6.5

  • Fix selector prefixing (by Andrey Alexandrov).

9.6.4

  • Now the real fix for 'startsWith' of undefined error.

9.6.3

  • Fix Cannot read property 'startsWith' of undefined error.

9.6.2

  • Fix false Replace fill to stretch warning.
Commits

Dependabot compatibility score

Dependabot will resolve any conflicts with this PR as long as you don't alter it yourself. You can also trigger a rebase manually by commenting @dependabot rebase.


Dependabot commands and options

You can trigger Dependabot actions by commenting on this PR:

  • @dependabot rebase will rebase this PR
  • @dependabot recreate will recreate this PR, overwriting any edits that have been made to it
  • @dependabot merge will merge this PR after your CI passes on it
  • @dependabot squash and merge will squash and merge this PR after your CI passes on it
  • @dependabot cancel merge will cancel a previously requested merge and block automerging
  • @dependabot reopen will reopen this PR if it is closed
  • @dependabot close will close this PR and stop Dependabot recreating it. You can achieve the same result by closing it manually
  • @dependabot ignore this major version will close this PR and stop Dependabot creating any more for this major version (unless you reopen the PR or upgrade to it yourself)
  • @dependabot ignore this minor version will close this PR and stop Dependabot creating any more for this minor version (unless you reopen the PR or upgrade to it yourself)
  • @dependabot ignore this dependency will close this PR and stop Dependabot creating any more for this dependency (unless you reopen the PR or upgrade to it yourself)
  • @dependabot badge me will comment on this PR with code to add a "Dependabot enabled" badge to your readme

Additionally, you can set the following in the .dependabot/config.yml file in this repo:

  • Update frequency
  • Automerge options (never/patch/minor, and dev/runtime dependencies)
  • Out-of-range updates (receive only lockfile updates, if desired)
  • Security updates (receive only security updates, if desired)
@ykzts

This comment has been minimized.

Copy link
Collaborator

ykzts commented Dec 2, 2019

@dependabot rebas

@dependabot-preview dependabot-preview bot force-pushed the dependabot/npm_and_yarn/autoprefixer-9.7.3 branch from 79adf24 to e5c321f Dec 2, 2019
@ykzts

This comment has been minimized.

Copy link
Collaborator

ykzts commented Dec 2, 2019

@dependabot rebase

Bumps [autoprefixer](https://github.com/postcss/autoprefixer) from 9.6.1 to 9.7.3.
- [Release notes](https://github.com/postcss/autoprefixer/releases)
- [Changelog](https://github.com/postcss/autoprefixer/blob/master/CHANGELOG.md)
- [Commits](postcss/autoprefixer@9.6.1...9.7.3)

Signed-off-by: dependabot-preview[bot] <support@dependabot.com>
@dependabot-preview dependabot-preview bot force-pushed the dependabot/npm_and_yarn/autoprefixer-9.7.3 branch from e5c321f to 5bdb7fe Dec 2, 2019
@ykzts
ykzts approved these changes Dec 2, 2019
@ykzts ykzts merged commit 307f123 into master Dec 2, 2019
2 checks passed
2 checks passed
build-and-test Workflow: build-and-test
Details
codeclimate All good!
Details
@dependabot-preview dependabot-preview bot deleted the dependabot/npm_and_yarn/autoprefixer-9.7.3 branch Dec 2, 2019
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
Projects
None yet
1 participant
You can’t perform that action at this time.